﻿@model Otus.Teaching.PromoCodeFactory.Mvc.Models.PromoCodeViewModel

<form asp-action="Create">
    <div asp-validation-summary="ModelOnly"></div>
    <div class="form-group">
        <label asp-for="Code"></label>
        <input asp-for="Code"/>
        <span asp-validation-for="Code"></span>
    </div>
    <div class="form-group">
        <label asp-for="ServiceInfo"></label>
        <input asp-for="ServiceInfo"/>
        <span asp-validation-for="ServiceInfo"></span>
    </div>
    <div class="form-group">
        <label asp-for="BeginDate"></label>
        <input asp-for="BeginDate"/>
        <span asp-validation-for="BeginDate"></span>
    </div>
    <div class="form-group">
        <label asp-for="EndDate"></label>
        <input asp-for="EndDate"/>
        <span asp-validation-for="EndDate"></span>
    </div>
    <div class="form-group">
        <label asp-for="PartnerName"></label>
        <input asp-for="PartnerName"/>
        <span asp-validation-for="PartnerName"></span>
    </div>
    <div class="form-group">
        <label asp-for="PartnerManager"></label>
        <input asp-for="PartnerManager"/>
        <span asp-validation-for="PartnerManager"></span>
    </div>
    <div class="form-group">
        <label asp-for="Preference"></label>
        <input asp-for="Preference"/>
        <span asp-validation-for="Preference"></span>
    </div>
    <div class="form-group">
        <input type="submit" value="Создать"/>
    </div>
</form>
 
<div>
    <a asp-action="Index">Список</a>
</div>

@section Scripts {
    @{ await Html.RenderPartialAsync("_ValidationScriptsPartial"); }
}
